## com.saxonica.codegen
Class DayTimeDurationValueCompiler

    java.lang.Object
      com.saxonica.codegen.ValueCompiler
          com.saxonica.codegen.DayTimeDurationValueCompiler

    public class DayTimeDurationValueCompiler

extends ValueCompiler

Compile Java code representing an xs:dayTimeDuration constant value

Constructor Summary
`DayTimeDurationValueCompiler()`

Method Summary
`String` `toJavaExpression(AtomicValue value, CompilerService compiler)`

Methods inherited from class com.saxonica.codegen.ValueCompiler
`compilePush, compileToCharSequence, compileToEffectiveBooleanValue, compileToItem, compileToIterator, getJavaClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DayTimeDurationValueCompiler

    public DayTimeDurationValueCompiler()

Method Detail

### toJavaExpression

    public String toJavaExpression(AtomicValue value,
                                   CompilerService compiler)

  Specified by:
    `toJavaExpression` in class `ValueCompiler`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.